summaryrefslogtreecommitdiff
path: root/test/integration/test-proxy-connect
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/test-proxy-connect')
-rwxr-xr-xtest/integration/test-proxy-connect22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/integration/test-proxy-connect b/test/integration/test-proxy-connect
new file mode 100755
index 000000000..17927c9db
--- /dev/null
+++ b/test/integration/test-proxy-connect
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture 'amd64'
+
+buildsimplenativepackage 'unrelated' 'all' '0.5~squeeze1' 'unstable'
+
+setupaptarchive
+changetowebserver --request-absolute='uri'
+
+
+msgmsg 'Check that host header we send for CONNECT is for target, not proxy'
+echo "deb https://example.example/ example example" > rootdir/etc/apt/sources.list
+rm -f rootdir/etc/apt/sources.list.d/*
+echo "Acquire::http::Proxy \"http://localhost:${APTHTTPPORT}\";" > rootdir/etc/apt/apt.conf.d/99proxy
+
+aptget update >/dev/null 2>&1
+testsuccessequal "CONNECT example.example:443 HTTP/1.1\r
+Host: example.example:443\r" grep -A1 "^CONNECT" aptarchive/webserver.log